#ifndef SINGLETOPDPDMAKER_SELECTIONINFOCONTAINER_H
#define SINGLETOPDPDMAKER_SELECTIONINFOCONTAINER_H

#include "DataModel/DataVector.h"
#include "SGTools/CLASS_DEF.h"

#include "SingleTopDPDMaker/SelectionInfo.h"

class SelectionInfoContainer : public DataVector<SelectionInfo>
{

public:

  SelectionInfoContainer(SG::OwnershipPolicy own = SG::OWN_ELEMENTS) : DataVector<SelectionInfo>(own) {};
  virtual ~SelectionInfoContainer() {};
    
};

CLASS_DEF(SelectionInfoContainer, 52649347, 0)

SG_BASE(SelectionInfoContainer, DataVector<SelectionInfo>);

#endif
