#ifndef SINGLETOPDPDMAKER_DICT_H
#define SINGLETOPDPDMAKER_DICT_H

#include "SingleTopDPDMaker/EventFilter.h"
#include "SingleTopDPDMaker/OverlapFilter.h"
#include "SingleTopDPDMaker/TriggerDecisionFilter.h"
#include "SingleTopDPDMaker/ElectronEtaCrackFilter.h"

#include "SingleTopDPDMaker/TreeMaker.h"
#include "SingleTopDPDMaker/TruthTreeMaker.h"
#include "SingleTopDPDMaker/TriggerTreeMaker.h"
#include "SingleTopDPDMaker/NtupleMaker.h"

#include "SingleTopDPDMaker/JetSlimming.h"
#include "SingleTopDPDMaker/TrackSlimming.h"
#include "SingleTopDPDMaker/TriggerSlimming.h"
#include "SingleTopDPDMaker/ContainerThinning.h"

#include "SingleTopDPDMaker/PhotonSelection.h"
#include "SingleTopDPDMaker/ElectronSelection.h"
#include "SingleTopDPDMaker/MuonSelection.h"
#include "SingleTopDPDMaker/TauJetSelection.h"
#include "SingleTopDPDMaker/JetSelection.h"
#include "SingleTopDPDMaker/TaggedJetSelection.h"
#include "SingleTopDPDMaker/UntaggedJetSelection.h"

#include "SingleTopDPDMaker/L1TriggerSelection.h"
#include "SingleTopDPDMaker/L2TriggerSelection.h"
#include "SingleTopDPDMaker/EFTriggerSelection.h"

#include "SingleTopDPDMaker/TruthVertexFilter.h"
#include "SingleTopDPDMaker/TruthParticleSelection.h"

#include "SingleTopDPDMaker/GlobalVariables.h"

#endif
