#ifndef SINGLETOPDPDMAKER_SELECTIONINFO_H
#define SINGLETOPDPDMAKER_SELECTIONINFO_H

#include <string>
#include <vector>

class SelectionInfo
{

public:

  SelectionInfo();
  SelectionInfo(const SelectionInfo&);
  virtual ~SelectionInfo();
  
  void SetName (std::string);
  void SetLabel(std::string);
  
  void SetMask(std::vector<bool>&);
  
  std::string GetName()  const;
  std::string GetLabel() const;
  
  std::vector<bool> GetMask() const;
  
private:

  std::string Name;
  std::string Label;
  
  std::vector<bool> Mask;
  
};

#endif
