#ifndef SINGLETOPDPDMAKER_TRIGGERSLIMMING_H
#define SINGLETOPDPDMAKER_TRIGGERSLIMMING_H

#include "GaudiKernel/Algorithm.h"
#include "GaudiKernel/MsgStream.h"
#include "GaudiKernel/ToolHandle.h"
#include "StoreGate/StoreGate.h"

#include "TrigDecision/TrigDecisionTool.h"

class TriggerSlimming : public Algorithm
{

public:

  TriggerSlimming(const std::string& name, ISvcLocator* pSvcLocator);
  virtual ~TriggerSlimming();

  StatusCode initialize();
  StatusCode execute();
  StatusCode finalize();
  
private:

  int InputEventNumber;
  int OutputEventNumber;
  
  ToolHandle<TrigDec::TrigDecisionTool> aTriggerDecisionTool;
  
};

#endif
