#include "SingleTopDPDMaker/SelectionInfo.h"

SelectionInfo::SelectionInfo()
{
  Name  = "";
  Label = "";
  
  Mask.clear();
}

SelectionInfo::SelectionInfo(const SelectionInfo& Info)
{
  Name  = Info.Name;
  Label = Info.Label;
  Mask  = Info.Mask;
}

SelectionInfo::~SelectionInfo(){}

void SelectionInfo::SetName(std::string Value)
{
  Name = Value;
}

void SelectionInfo::SetLabel(std::string Value)
{
  Label = Value;
}

void SelectionInfo::SetMask(std::vector<bool>& Values)
{
  Mask = Values;
}

std::string SelectionInfo::GetName() const
{
  return Name;
}

std::string SelectionInfo::GetLabel() const
{
  return Label;
}

std::vector<bool> SelectionInfo::GetMask() const
{
  return Mask;
}

